Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
POSTLoad Balancing OperationsSince 4.0.0SynchronousAuth Required

CreateSlbOffering

CreateSlbOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryInstanceOfferingInventoryRequired

    See inventory.

    • uuidStringRequired

      The UUID of the instance offering.

    • nameStringRequired

      The name of the instance offering.

    • descriptionStringRequired

      The detailed description of the instance offering.

    • cpuNumIntegerRequired

      The number of CPU cores.

    • cpuSpeedIntegerRequired

      The processing speed of the CPU.

    • memorySizeLongRequired

      The memory size.

    • typeStringRequired

      The type of the instance offering.

    • allocatorStrategyStringRequired

      The allocation policy.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The time when the instance offering was created.

    • lastOpDateTimestampRequired

      The time when the instance offering was last modified.

    • stateStringRequired

      The state of the instance offering.

Endpoint

POST/zstack/v1/instance-offerings/slb

/zstack/v1/instance-offerings/slb

Operation ID

CreateSlbOffering

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/instance-offerings/slb' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "uuid": "3b0af4671cc93f619ef326a3c99d825c", "name": "instanceOffering1", "cpuNum": 2.0, "cpuSpeed": 1.0, "type": "UserVm", "allocatorStrategy": "Mevoco", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history